/*
 * Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies). 
 * All rights reserved.
 * This component and the accompanying materials are made available
 * under the terms of "Eclipse Public License v1.0"
 * which accompanies this distribution, and is available
 * at the URL "http://www.eclipse.org/legal/epl-v10.html".
 * 
 * Initial Contributors:
 * Nokia Corporation - Initial contribution
 * 
 * Contributors:
 * 
 * Description: This file is part of com.nokia.tools.vct.confml component.
 */

package com.nokia.tools.vct.confml.model.confml2;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see com.nokia.tools.vct.confml.model.confml2.EConfML2Package
 * @generated
 */
public interface EConfML2Factory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	EConfML2Factory eINSTANCE = com.nokia.tools.vct.confml.model.confml2.impl.EConfML2FactoryImpl
			.init();

	/**
	 * Returns a new object of class '<em>EConfiguration Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EConfiguration Element</em>'.
	 * @generated
	 */
	EConfigurationElement createEConfigurationElement();

	/**
	 * Returns a new object of class '<em>EFeature Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EFeature Element</em>'.
	 * @generated
	 */
	EFeatureElement createEFeatureElement();

	/**
	 * Returns a new object of class '<em>EFeature Data</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EFeature Data</em>'.
	 * @generated
	 */
	EFeatureData createEFeatureData();

	/**
	 * Returns a new object of class '<em>ESetting Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ESetting Element</em>'.
	 * @generated
	 */
	ESettingElement createESettingElement();

	/**
	 * Returns a new object of class '<em>ESetting Data</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ESetting Data</em>'.
	 * @generated
	 */
	ESettingData createESettingData();

	/**
	 * Returns a new object of class '<em>EView Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EView Element</em>'.
	 * @generated
	 */
	EViewElement createEViewElement();

	/**
	 * Returns a new object of class '<em>EGroup</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EGroup</em>'.
	 * @generated
	 */
	EGroup createEGroup();

	/**
	 * Returns a new object of class '<em>EFeature Rfs</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EFeature Rfs</em>'.
	 * @generated
	 */
	EFeatureRfs createEFeatureRfs();

	/**
	 * Returns a new object of class '<em>ESetting Rfs</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ESetting Rfs</em>'.
	 * @generated
	 */
	ESettingRfs createESettingRfs();

	/**
	 * Returns a new object of class '<em>EMeta Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EMeta Element</em>'.
	 * @generated
	 */
	EMetaElement createEMetaElement();

	/**
	 * Returns a new object of class '<em>EOption Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EOption Element</em>'.
	 * @generated
	 */
	EOptionElement createEOptionElement();

	/**
	 * Returns a new object of class '<em>EProperty Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EProperty Element</em>'.
	 * @generated
	 */
	EPropertyElement createEPropertyElement();

	/**
	 * Returns a new object of class '<em>EDescription Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EDescription Element</em>'.
	 * @generated
	 */
	EDescriptionElement createEDescriptionElement();

	/**
	 * Returns a new object of class '<em>EIcon Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EIcon Element</em>'.
	 * @generated
	 */
	EIconElement createEIconElement();

	/**
	 * Returns a new object of class '<em>ELink Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ELink Element</em>'.
	 * @generated
	 */
	ELinkElement createELinkElement();

	/**
	 * Returns a new object of class '<em>EData Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EData Element</em>'.
	 * @generated
	 */
	EDataElement createEDataElement();

	/**
	 * Returns a new object of class '<em>ERfs Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ERfs Element</em>'.
	 * @generated
	 */
	ERfsElement createERfsElement();

	/**
	 * Returns a new object of class '<em>ECommon Attrs</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ECommon Attrs</em>'.
	 * @generated
	 */
	ECommonAttrs createECommonAttrs();

	/**
	 * Returns a new object of class '<em>EMeta Content</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>EMeta Content</em>'.
	 * @generated
	 */
	EMetaContent createEMetaContent();

	/**
	 * Returns a new object of class '<em>Document</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Document</em>'.
	 * @generated
	 */
	EConfML2Document createEConfML2Document();

	/**
	 * Returns a new object of class '<em>ELocal Path Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ELocal Path Element</em>'.
	 * @generated
	 */
	ELocalPathElement createELocalPathElement();

	/**
	 * Returns a new object of class '<em>ETarget Path Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ETarget Path Element</em>'.
	 * @generated
	 */
	ETargetPathElement createETargetPathElement();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	EConfML2Package getEConfML2Package();

} //EConfML2Factory
